<?php
require_once __DIR__."/../../../projekt/libs/vendor/autoload.php"; // autoloader

use Smarty\Smarty;
$smarty = new Smarty();

// definicja katalogów roboczych
$smarty->setTemplateDir('smarty/templates'); // szablony
$smarty->setCompileDir('smarty/templates_c');
$smarty->setCacheDir('smarty/cache');
$smarty->setConfigDir('smarty/configs');

// przekazanie danych do szablonu
$smarty->assign('title', 'Zmienne w Smarty'); // przekaż tekst
$smarty->assign('name', 'Krzysiek'); // przekaż tekst
$smarty->assign('x', 120); // przekaż liczbę
$smarty->assign('y', 540); // przekaż liczbę
$smarty->assign('liczby', [2,3,5,7,11,13]); // przekaż tablicę

// wyświetlenie szablonu
$smarty->display('index.tpl');